Package org.springframework.aop

# Interface IntroductionAwareMethodMatcher

All Superinterfaces:
  `MethodMatcher`

All Known Implementing Classes:
  `AspectJExpressionPointcut`

public interface IntroductionAwareMethodMatcher extends MethodMatcher
A specialized type of `MethodMatcher` that takes into account introductions when matching methods. If there are no introductions on the target class, a method matcher may be able to optimize matching more effectively for example.

Since:
  2.0
Author:
  Adrian Colyer

## Field Summary

### Fields inherited from interface org.springframework.aop.MethodMatcher

`TRUE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(Method method, Class<?> targetClass, boolean hasIntroductions)`
Perform static checking whether the given method matches.

### Methods inherited from interface org.springframework.aop.MethodMatcher

`isRuntime, matches, matches`

## Method Details

### matches

boolean matches(Method method, Class<?> targetClass, boolean hasIntroductions)
Perform static checking whether the given method matches. This may be invoked instead of the 2-arg `MethodMatcher.matches(java.lang.reflect.Method, Class)` method if the caller supports the extended IntroductionAwareMethodMatcher interface.

Parameters:
  `method` - the candidate method
  `targetClass` - the target class
  `hasIntroductions` - `true` if the object on whose behalf we are asking is the subject on one or more introductions; `false` otherwise
Returns:
  whether this method matches statically